nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   NVIDIA Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=14)
-   -   173.14.34 -- Xorg 1.12.1 & 1.11.4, glx module fails to load (http://www.nvnews.net/vbulletin/showthread.php?t=181386)

mereset 05-20-12 09:45 AM

173.14.34 -- Xorg 1.12.1 & 1.11.4, glx module fails to load
 
2 Attachment(s)
I'm running Debian sid with Xorg version 1.12.1.

The 173.14.34 driver installs okay with Xorg 1.12.1, but the glx module fails to load when X is starting up.

In /var/log/Xorg.0.log there's this error:
Quote:

[ 1422.844] (II) LoadModule: "glx"
[ 1422.845] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[ 1422.882] (EE) Failed to load /usr/lib/xorg/modules/extensions/libglx.so: /usr/lib/xorg/modules/extensions/libglx.so: undefined symbol: LookupIDByClass
[ 1422.882] (II) UnloadModule: "glx"
[ 1422.882] (II) Unloading glx
[ 1422.882] (EE) Failed to load module "glx" (loader failed, 7)
I downgraded Xorg to verson 1.11.4 which was the version in Wheezy a month or so ago. I had the same results as I had with Xorg 1.12.1. Then downgraded Xorg back to 1.10.4, glx does work with it.


I'm attaching a bug report (nvidia-bug-report.log.gz) for when I tried using the 173.14.34 driver with Xorg 1.12.1, where glx fails to load.

I'm also attaching the bug report (nvidia-bug-report.log.old.gz) when I used the 173.14.34 driver with Xorg 1.10.4, where glx works.

I don't have a bug report for when I tried with Xorg 1.11.4, but I can downgrade Xorg back to it if you want a bug report for that Xorg version.

philwyett 05-20-12 02:07 PM

Re: 173.14.34 -- Xorg 1.12.1 & 1.11.4, glx module fails to load
 
I have the same issue on kubuntu (so ubuntu) 12.04 (precise).

philwyett 05-20-12 02:43 PM

Re: 173.14.34 -- Xorg 1.12.1 & 1.11.4, glx module fails to load
 
The symbol is question has been deprecated for some time and was removed last year.

http://www.mail-archive.com/xorg-dev.../msg19370.html

AaronP 05-21-12 10:55 AM

Re: 173.14.34 -- Xorg 1.12.1 & 1.11.4, glx module fails to load
 
Thanks for the report, guys. I'll try to get to the bottom of this soon.

Bersam 05-22-12 03:22 AM

Re: 173.14.34 -- Xorg 1.12.1 & 1.11.4, glx module fails to load
 
but i have no problem, glx module load like a charm:
Code:

[    66.370] (II) LoadModule: "glx"
[    66.370] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[    66.385] (II) Module glx: vendor="NVIDIA Corporation"

only problem i have is that ubuntu doesn't know this new driver and show unknown in System Setting (but driver is loaded). so it load unity 2d instead of normal unity (3d).
Code:

NVRM version: NVIDIA UNIX x86_64 Kernel Module  173.14.34  Mon May 21 12:51:05 PDT 2012
GCC version:  gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5)


beasty 05-22-12 04:40 AM

Re: 173.14.34 -- Xorg 1.12.1 & 1.11.4, glx module fails to load
 
1 Attachment(s)
I have the same problem in Ubuntu 12.04 LTS:

Code:

[    69.787] (EE) Failed to load /usr/lib/xorg/modules/extensions/libglx.so: /usr/lib/xorg/modules/extensions/libglx.so: undefined symbol: LookupIDByClass
[    69.787] (II) UnloadModule: "glx"
[    69.787] (II) Unloading glx
[    69.787] (EE) Failed to load module "glx" (loader failed, 7)

and:

Code:

[    69.793] (EE) NVIDIA(0): Failed to initialize the GLX module; please check in your X
[    69.793] (EE) NVIDIA(0):    log file that the GLX module has been loaded in your X
[    69.793] (EE) NVIDIA(0):    server, and that the module is the NVIDIA GLX module.  If
[    69.793] (EE) NVIDIA(0):    you continue to encounter problems, Please try
[    69.793] (EE) NVIDIA(0):    reinstalling the NVIDIA driver.
[    70.236] (II) NVIDIA(0): NVIDIA GPU GeForce FX 5500 (NV34) at PCI:4:4:0 (GPU-0)


Bersam 05-22-12 12:59 PM

Re: 173.14.34 -- Xorg 1.12.1 & 1.11.4, glx module fails to load
 
Quote:

Originally Posted by beasty (Post 2557993)
I have the same problem in Ubuntu 12.04 LTS:

Code:

[    69.787] (EE) Failed to load /usr/lib/xorg/modules/extensions/libglx.so: /usr/lib/xorg/modules/extensions/libglx.so: undefined symbol: LookupIDByClass
[    69.787] (II) UnloadModule: "glx"
[    69.787] (II) Unloading glx
[    69.787] (EE) Failed to load module "glx" (loader failed, 7)

and:

Code:

[    69.793] (EE) NVIDIA(0): Failed to initialize the GLX module; please check in your X
[    69.793] (EE) NVIDIA(0):    log file that the GLX module has been loaded in your X
[    69.793] (EE) NVIDIA(0):    server, and that the module is the NVIDIA GLX module.  If
[    69.793] (EE) NVIDIA(0):    you continue to encounter problems, Please try
[    69.793] (EE) NVIDIA(0):    reinstalling the NVIDIA driver.
[    70.236] (II) NVIDIA(0): NVIDIA GPU GeForce FX 5500 (NV34) at PCI:4:4:0 (GPU-0)


i have exactly same situation as you! (GeForce FX 5500 and ubuntu 12.04 updated! (64bit) fresh install), and as i said, it just worked.
i just download NVIDIA-Linux-x86_64-173.14.34-pkg2.run and run it, asked me to create this /etc/modprobe.d/nvidia-installer-disable-nouveau.conf , after a restart and trying to disable mesa (replaced with nouveau) installed drvier and then it worked.

Bersam 05-22-12 02:49 PM

Re: 173.14.34 -- Xorg 1.12.1 & 1.11.4, glx module fails to load
 
just in case, this is unity_support_test for nvidia driver installed in ubuntu 12.04 (64bit):
Code:

bersi@bersam-desktop ~ % /usr/lib/nux/unity_support_test --print
OpenGL vendor string:  NVIDIA Corporation
OpenGL renderer string: GeForce FX 5500/AGP/SSE2
OpenGL version string:  2.1.2 NVIDIA 173.14.34

Not software rendered:    yes
Not blacklisted:          no
GLX fbconfig:            yes
GLX texture from pixmap:  yes
GL npot or rect textures: yes
GL vertex program:        yes
GL fragment program:      yes
GL vertex buffer object:  yes
GL framebuffer object:    yes
GL version is 1.4+:      yes

Unity 3D supported:      no


beasty 05-23-12 12:19 AM

Re: 173.14.34 -- Xorg 1.12.1 & 1.11.4, glx module fails to load
 
Bersam, you have a 64bit version of linux, the driver that you installed is different than the driver that i have installed on my 32bit version. Maybe the bug is in the 32bit version of the driver.

your version:
NVIDIA-Linux-x86_64-173.14.34-pkg2.run

my version:
NVIDIA-Linux-x86-173.14.34-pkg1.run

AaronP 05-23-12 10:55 AM

Re: 173.14.34 -- Xorg 1.12.1 & 1.11.4, glx module fails to load
 
Quote:

Originally Posted by beasty (Post 2558259)
Maybe the bug is in the 32bit version of the driver.

Yes, I believe this is the case. The 64-bit driver should be fine.

searchfgold6789 05-25-12 09:32 AM

Re: 173.14.34 -- Xorg 1.12.1 & 1.11.4, glx module fails to load
 
Same problem, 32-bit Kubuntu. Does this mean we must wait for another driver release?

AaronP 05-25-12 10:40 AM

Re: 173.14.34 -- Xorg 1.12.1 & 1.11.4, glx module fails to load
 
Quote:

Originally Posted by searchfgold6789 (Post 2558852)
Same problem, 32-bit Kubuntu. Does this mean we must wait for another driver release?

Unless you can upgrade to a 64-bit release or live without GLX, yeah. Sorry. :(


All times are GMT -5. The time now is 12:02 PM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.